## WebKitApplicationInfo WebKitApplicationInfo |

## Functions

WebKitApplicationInfo * | webkit_application_info_new ()
WebKitApplicationInfo * | webkit_application_info_ref ()
void | webkit_application_info_unref ()
void | webkit_application_info_set_name ()
const gchar * | webkit_application_info_get_name ()
void | webkit_application_info_set_version ()
void | webkit_application_info_get_version ()

## Types and Values

| WebKitApplicationInfo

## Object Hierarchy

        GBoxed
        ╰── WebKitApplicationInfo

## Description

## Functions

### webkit_application_info_new ()

    WebKitApplicationInfo *
    webkit_application_info_new (void);

Creates a new WebKitApplicationInfo

#### Returns

the newly created WebKitApplicationInfo.

[transfer full]

Since: 2.18

### webkit_application_info_ref ()

    WebKitApplicationInfo *
    webkit_application_info_ref (WebKitApplicationInfo *info);

Atomically increments the reference count of `info` by one. This function is MT-safe and may be called from any thread.

#### Parameters

info | a WebKitApplicationInfo |

#### Returns

The passed in WebKitApplicationInfo

Since: 2.18

### webkit_application_info_unref ()

    void
    webkit_application_info_unref (WebKitApplicationInfo *info);

Atomically decrements the reference count of `info` by one. If the reference count drops to 0, all memory allocated by the WebKitApplicationInfo is released. This function is MT-safe and may be called from any thread.

#### Parameters

info | a WebKitApplicationInfo |

Since: 2.18

### webkit_application_info_set_name ()

    void
    webkit_application_info_set_name (WebKitApplicationInfo *info,
                                      const gchar *name);

Set the name of the application. If not provided, or `NULL` is passed, `g_get_prgname()` will be used.

#### Parameters

info | a WebKitApplicationInfo |
name | the application name |

Since: 2.18

### webkit_application_info_get_name ()

    const gchar *
    webkit_application_info_get_name (WebKitApplicationInfo *info);

Get the name of the application. If `webkit_application_info_set_name()` hasn't been called with a valid name, this returns `g_get_prgname()`.

#### Parameters

info | a WebKitApplicationInfo |

#### Returns

the application name

Since: 2.18

### webkit_application_info_set_version ()

    void
    webkit_application_info_set_version (WebKitApplicationInfo *info,
                                         guint64 major,
                                         guint64 minor,
                                         guint64 micro);

Set the application version. If the application doesn't use the format major.minor.micro you can pass 0 as the micro to use major.minor, or pass 0 as both micro and minor to use only major number. Any other format must be converted to major.minor.micro so that it can be used in version comparisons.

#### Parameters

info | a WebKitApplicationInfo |
major | the major version number |
minor | the minor version number |
micro | the micro version number |

Since: 2.18

### webkit_application_info_get_version ()

    void
    webkit_application_info_get_version (WebKitApplicationInfo *info,
                                         guint64 *major,
                                         guint64 *minor,
                                         guint64 *micro);

Get the application version previously set with `webkit_application_info_set_version()`.

#### Parameters

info | a WebKitApplicationInfo |
major | return location for the major version number. | [out]
minor | return location for the minor version number. | [out][allow-none]
micro | return location for the micro version number. | [out][allow-none]

Since: 2.18

## Types and Values

### WebKitApplicationInfo

    typedef struct _WebKitApplicationInfo WebKitApplicationInfo;